{
	"artifacts" : 
	[
		{
			"path" : "/dp_s/lib/libAurora.so"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"ADD_LIBRARY",
			"target_link_libraries",
			"add_compile_options",
			"add_compile_definitions",
			"include_directories"
		],
		"files" : 
		[
			"src/CMakeLists.txt",
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 43,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 49,
				"parent" : 0
			},
			{
				"file" : 1
			},
			{
				"command" : 2,
				"file" : 1,
				"line" : 12,
				"parent" : 3
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 29,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 28,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-m32 -m32 -fpic -g -std=gnu++11 -fPIC   -std=c++11"
				},
				{
					"backtrace" : 4,
					"fragment" : "-Wno-pointer-arith"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 5,
					"define" : "ASMJIT_STATIC"
				},
				{
					"define" : "hook_aurora_EXPORTS"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 6,
					"path" : "/home/dnf_project/dnf_project/include"
				},
				{
					"backtrace" : 6,
					"path" : "/home/dnf_project/dnf_project/include/Squirrel"
				},
				{
					"backtrace" : 6,
					"path" : "/home/dnf_project/dnf_project/lib/mysql/include"
				},
				{
					"backtrace" : 6,
					"path" : "/home/asio/asio-1.28.0/include"
				},
				{
					"backtrace" : 6,
					"path" : "/home/dnf_project/dnf_project/src"
				},
				{
					"backtrace" : 6,
					"path" : "/home/dnf_project/dnf_project/src/sdk"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					1
				],
				"standard" : "11"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				6,
				7,
				8,
				9,
				10,
				11,
				12,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				22,
				23,
				24,
				25,
				26,
				27,
				28,
				29,
				30,
				31,
				32,
				33,
				34,
				35,
				36,
				37,
				38,
				39,
				40,
				41,
				42,
				43,
				44,
				45,
				46,
				47,
				48,
				49,
				50,
				51,
				52,
				53,
				54,
				55,
				56,
				57,
				58,
				59,
				60,
				61,
				62,
				63,
				64
			]
		}
	],
	"id" : "hook_aurora::@145eef247bfb46b6828c",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "",
				"role" : "flags"
			},
			{
				"fragment" : "-Wl,-Bstatic",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lstdc++",
				"role" : "libraries"
			},
			{
				"fragment" : "-Wl,-Bdynamic",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-L/home/dnf_project/dnf_project/build/lib/squirrel",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lsqstdlib_static",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-L/home/dnf_project/dnf_project/build/lib/squirrel",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lsquirrel_static",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-L/home/dnf_project/dnf_project/build/lib/mysql/lib",
				"role" : "libraries"
			},
			{
				"fragment" : "-Wl,-Bstatic",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lmysqlclient",
				"role" : "libraries"
			},
			{
				"fragment" : "-Wl,-Bdynamic",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lpthread",
				"role" : "libraries"
			},
			{
				"fragment" : "-Wl,-Bstatic",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lffi",
				"role" : "libraries"
			},
			{
				"fragment" : "-Wl,-Bdynamic",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-L/home/openssl/openssl-3.0.13",
				"role" : "libraries"
			},
			{
				"fragment" : "-Wl,-Bstatic",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lssl",
				"role" : "libraries"
			},
			{
				"fragment" : "-Wl,-Bdynamic",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-L/home/openssl/openssl-3.0.13",
				"role" : "libraries"
			},
			{
				"fragment" : "-Wl,-Bstatic",
				"role" : "libraries"
			},
			{
				"backtrace" : 2,
				"fragment" : "-lcrypto",
				"role" : "libraries"
			},
			{
				"fragment" : "-Wl,-Bdynamic",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "hook_aurora",
	"nameOnDisk" : "libAurora.so",
	"paths" : 
	{
		"build" : "src",
		"source" : "src"
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				6,
				7,
				8,
				9,
				10,
				11,
				12,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				22,
				23,
				24,
				25,
				26,
				27,
				28,
				29,
				30,
				31,
				32,
				33,
				34,
				35,
				36,
				37,
				38,
				39,
				40,
				41,
				42,
				43,
				44,
				45,
				46,
				47,
				48,
				49,
				50,
				51,
				52,
				53,
				54,
				55,
				56,
				57,
				58,
				59,
				60,
				61,
				62,
				63,
				64
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/arm/a64assembler.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/arm/a64builder.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/arm/a64compiler.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/arm/a64emithelper.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/arm/a64formatter.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/arm/a64func.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/arm/a64instapi.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/arm/a64instdb.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/arm/a64operand.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/arm/a64rapass.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/arm/armformatter.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/archtraits.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/assembler.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/builder.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/codeholder.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/codewriter.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/compiler.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/constpool.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/cpuinfo.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/emithelper.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/emitter.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/emitterutils.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/environment.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/errorhandler.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/formatter.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/func.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/funcargscontext.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/globals.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/inst.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/jitallocator.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/jitruntime.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/logger.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/operand.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/osutils.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/ralocal.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/rapass.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/rastack.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/string.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/support.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/target.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/type.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/virtmem.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/zone.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/zonehash.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/zonelist.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/zonestack.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/zonetree.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/core/zonevector.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/x86/x86assembler.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/x86/x86builder.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/x86/x86compiler.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/x86/x86emithelper.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/x86/x86formatter.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/x86/x86func.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/x86/x86instapi.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/x86/x86instdb.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/x86/x86operand.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/asmjit/x86/x86rapass.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/dispatch.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/controller.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/df_main.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/Tool.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/l_squirrel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/l_socket.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "src/CConnectPool.cpp",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "SHARED_LIBRARY"
}
